complexType "FxBarrierFeature"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 10 elements
Defined: | globally in fpml-fx-5-5.xsd; see XML source
Includes: | definitions of 10 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | barrierType?, direction?, quotedCurrencyPair?, triggerRate?, informationSource*, ((observationStartDate?, observationStartTime?, (observationEndDate?, observationEndTime?)?) | observationPoint*)?
</...>

Content Model Elements (10):

  barrierType,
  direction (defined in FxBarrierFeature complexType),
  informationSource (defined in FxBarrierFeature complexType),
  observationEndDate (defined in FxBarrierFeature complexType),
  observationEndTime (defined in FxBarrierFeature complexType),
  observationPoint (defined in FxBarrierFeature complexType),
  observationStartDate (defined in FxBarrierFeature complexType),
  observationStartTime (defined in FxBarrierFeature complexType),
  quotedCurrencyPair (defined in FxBarrierFeature complexType),
  triggerRate (defined in FxBarrierFeature complexType)

All Direct / Indirect Based Elements (2):

  barrier (in features in fxOption), | barrier (in features in fxOption)

Known Usage Locations

- As direct type of elements (2):

  barrier (in features in fxOption), | barrier (in features in fxOption)

Annotation
Describes the properties of an FX barrier.
XML Source (w/o annotations (11); see within schema source)

<xsd:complexType name="FxBarrierFeature"> <xsd:sequence> <xsd:element minOccurs="0" name="barrierType" type="FxBarrierTypeEnum"/> <!--IY: FX refactoring work--> <xsd:element minOccurs="0" name="direction" type="FxBarrierDirectionEnum"/> <xsd:element minOccurs="0" name="quotedCurrencyPair" type="QuotedCurrencyPair"/> <xsd:element minOccurs="0" name="triggerRate" type="PositiveDecimal"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="informationSource" type="InformationSource"/> <!--IY: FX refactoring work add choice of new element "observationPoint" and sequence of existing observationStartDate and new element observationStartTime, and sequence of existing observationEndDate and new element observationEndTime --> <xsd:choice minOccurs="0"> <xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="observationStartDate" type="xsd:date"/> <xsd:element minOccurs="0" name="observationStartTime" type="BusinessCenterTime"/> </xsd:sequence> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="observationEndDate" type="xsd:date"/> <xsd:element minOccurs="0" name="observationEndTime" type="BusinessCenterTime"/> </xsd:sequence> </xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="observationPoint" type="FxBusinessCenterDateTime"/> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 10/10)
barrierType

  Type: | FxBarrierTypeEnum, simple content

  This specifies whether the option becomes effective ("knock-in") or is annulled ("knock-out") when the respective barrier event occurs.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Knockin" | - | The option exists if the spot rate is at or above, or at or below the barrier level according to the specified barrier direction. See: http://www.FpML.org
  "Knockout" | - | The option ceases to exist if the spot rate is at or above, or at or below the barrier level according to the specified barrier direction. See: http://www.FpML.org
  "ReverseKnockin" | - | DEPRECATE: Option exists once the barrier is hit. The trigger rate is in-the money in relation to the strike rate. See: http://www.FpML.org
  "ReverseKnockout" | - | DEPRECATE: Option ceases to exist once the barrier is hit. The trigger rate is in-the money in relation to the strike rate. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="barrierType" type="FxBarrierTypeEnum"/>

direction

  Type: | FxBarrierDirectionEnum, simple content

  This specifies whether the barrier direction is "Up" or "Down"; that is, that a barrier event occurs if the spot rate is at or above the trigger rate, or at or below the trigger rate during the period of observation of an american barrier, or at the times of observation of a discrete or european barrier.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Down" | - | The barrier is triggered if the observed rate is at or below the barrier level during the period of observation, or at the time of observation. See: http://www.FpML.org
  "Up" | - | The barrier is triggered if the observed rate is at or above the barrier level during the period of observation, or at the time of observation. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="direction" type="FxBarrierDirectionEnum"/>

informationSource

  Type: | InformationSource, complex content

  The information source where a published or displayed market rate will be obtained, e.g. Telerate Page 3750.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="informationSource" type="InformationSource"/>

observationEndDate

  Type: | xsd:date, predefined, simple content

  The date on which the observation period for an american barrier ends. If the end date is not present, then the date and time of the end of the period is deemed to be the date and time of expiration.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="observationEndDate" type="xsd:date"/>

observationEndTime

  Type: | BusinessCenterTime, complex content

  The time on the end date at which the observation period for an american barrier ends. If the time is not present, then the time is deemed to be the same as the expiration time.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="observationEndTime" type="BusinessCenterTime"/>

observationPoint

  Type: | FxBusinessCenterDateTime, complex content

  The dates and times at which rate observations are made to determine whether a barrier event has occurred for a discrete or european barrier. If the time is not present then the time is deemed to be the same as the expiration time.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="observationPoint" type="FxBusinessCenterDateTime"/>

observationStartDate

  Type: | xsd:date, predefined, simple content

  The date on which the observation period for an american barrier starts. If the start date is not present, then the date and time of the start of the period is deemed to be the date and time the transaction was entered into.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="observationStartDate" type="xsd:date"/>

observationStartTime

  Type: | BusinessCenterTime, complex content

  The time on the start date at which the observation period for an american barrier starts. If the time is not present and the start date is equivalent to the transaction date, the time is deemed to be the time the transaction was entered into. If the time is not present and the start date is other than the transaction date, then the time is deemed to be the same as the expiration time.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="observationStartTime" type="BusinessCenterTime"/>

quotedCurrencyPair

  Type: | QuotedCurrencyPair, complex content

  Defines the two currencies for an FX trade and the quotation relationship between the two currencies.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quotedCurrencyPair" type="QuotedCurrencyPair"/>

triggerRate

  Type: | PositiveDecimal, simple content

  The market rate is observed relative to the trigger rate, and if it is found to be on the predefined side of (above or below) the trigger rate, a trigger event is deemed to have occurred.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="triggerRate" type="PositiveDecimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.